Subject: [PATCH v3 2/8] mfd: Add atmel-st driver

From: [email-masked] (Nicolas Ferre)
Date: Tue, 20 Jan 2015 16:49:42 +0100

Le 20/01/2015 16:05, Alexandre Belloni a ?crit :
> On 20/01/2015 at 09:47:39 +0000, Lee Jones wrote :
>>>> This driver looks pretty pointless.  Why can't you request the sysconf
>>>> registers from within the drivers themselves?
>>>>
>>>
>>> How would you probe the watchdog driver then? Would you had the
>>> "atmel,at91rm9200-st" compatible there?
>>>
>>> At some point in time, we should add the reset driver, would you also
>>> match it on "atmel,at91rm9200-st"?
>>>
>>> I'm fine with that as this allows to avoid the mfd driver.
>>
>> I'm sorry, I don't follow.  Why can't each driver have their own
>> compatible strings?
>>
> 
> The same IP provides a clocksource, a watchdog and is also the reset
> controller. I think that the DT guidelines requires that the DT
> describes the hardware and so use one compatible for that IP;

I would add also that the registers within the IP are kind of mixed,
there is no way to separate by logical functions.

Bye,
-- 
Nicolas Ferre